import * as Unit from "./unit";
import { UnitFormat } from "./unit-format";
export declare type UnitMap = {
    readonly [key: string]: Unit.Unit;
};
export declare type UnitFormatMap<TUnitMap> = {
    [P in keyof TUnitMap]: UnitFormat;
};
/**
 * @module Format
 */
/**
 * Get formatting info from unit
 * @param unit
 */
export declare function getUnitFormat(unit: Unit.Unit, unitsFormat?: {
    readonly [key: string]: UnitFormat;
}): UnitFormat | undefined;
/**
 * Get all units registered for quantity
 * @param quantity
 */
export declare function getUnitsForQuantity(quantity: string, unitsFormat?: {
    readonly [key: string]: UnitFormat;
}, units?: UnitMap): Array<Unit.Unit>;
