import * as Unit from "./unit";
import * as q from "./quantity";
export declare function volumeByDuration(name: string, left: Unit.Unit<q.Volume>, right: Unit.Unit<q.Duration>): Unit.Unit<q.VolumeFlow>;
export declare function volumeFlowBySquareRootPressure(name: string, left: Unit.Unit<q.VolumeFlow>, right: Unit.Unit<q.SquareRootPressure>): Unit.Unit<q.VolumeFlowPerSquareRootPressure>;
export declare function lengthByDuration(name: string, left: Unit.Unit<q.Length>, right: Unit.Unit<q.Duration>): Unit.Unit<q.Velocity>;
export declare function velocityBySecond(name: string, left: Unit.Unit<q.Velocity>, right: Unit.Unit<q.Duration>): Unit.Unit<q.Acceleration>;
export declare function amountOfSubstanceByDuration(name: string, left: Unit.Unit<q.AmountOfSubstance>, right: Unit.Unit<q.Duration>): Unit.Unit<q.CatalyticActivity>;
export declare function massByVolume(name: string, left: Unit.Unit<q.Mass>, right: Unit.Unit<q.Volume>): Unit.Unit<q.Density>;
export declare function electricChargeByElectricPotential(name: string, left: Unit.Unit<q.ElectricCharge>, right: Unit.Unit<q.ElectricPotential>): Unit.Unit<q.ElectricCapacitance>;
export declare function energyByDuration(name: string, left: Unit.Unit<q.Energy>, right: Unit.Unit<q.Duration>): Unit.Unit<q.Power>;
export declare function powerByElectricalCurrent(name: string, left: Unit.Unit<q.Power>, right: Unit.Unit<q.ElectricCurrent>): Unit.Unit<q.ElectricPotential>;
export declare function electricalCurrentByElectricalPotential(name: string, left: Unit.Unit<q.ElectricCurrent>, right: Unit.Unit<q.ElectricPotential>): Unit.Unit<q.ElectricConductance>;
export declare function magneticFluxByElectricalCurrent(name: string, left: Unit.Unit<q.MagneticFlux>, right: Unit.Unit<q.ElectricCurrent>): Unit.Unit<q.ElectricInductance>;
export declare function electricalPotentialByElectricalCurrent(name: string, left: Unit.Unit<q.ElectricPotential>, right: Unit.Unit<q.ElectricCurrent>): Unit.Unit<q.ElectricResistance>;
export declare function dimentionlessByDuration(name: string, left: Unit.Unit<q.Dimensionless>, right: Unit.Unit<q.Duration>): Unit.Unit<q.Frequency>;
export declare function luminousFluxByArea(name: string, left: Unit.Unit<q.LuminousFlux>, right: Unit.Unit<q.Area>): Unit.Unit<q.Illuminance>;
export declare function magneticFluxByArea(name: string, left: Unit.Unit<q.MagneticFlux>, right: Unit.Unit<q.Area>): Unit.Unit<q.MagneticFluxDensity>;
export declare function massByDuration(name: string, left: Unit.Unit<q.Mass>, right: Unit.Unit<q.Duration>): Unit.Unit<q.MassFlow>;
export declare function forceByArea(name: string, left: Unit.Unit<q.Force>, right: Unit.Unit<q.Area>): Unit.Unit<q.Pressure>;
export declare function energyByMass(name: string, left: Unit.Unit<q.Energy>, right: Unit.Unit<q.Mass>): Unit.Unit<q.SpecificEnthalpy>;
export declare function powerByVolumeFlow(name: string, left: Unit.Unit<q.Power>, right: Unit.Unit<q.VolumeFlow>): Unit.Unit<q.SpecificFanPower>;
export declare function powerByTemperature(name: string, left: Unit.Unit<q.Power>, right: Unit.Unit<q.Temperature>): Unit.Unit<q.HeatCapacityRate>;
export declare function massByMass(name: string, left: Unit.Unit<q.Mass>, right: Unit.Unit<q.Mass>): Unit.Unit<q.HumidityRatio>;
export declare function dimensionlessByVolume(name: string, left: Unit.Unit<q.Dimensionless>, right: Unit.Unit<q.Volume>): Unit.Unit<q.DimensionlessPerVolume>;
export declare function dimensionlessByEnergy(name: string, left: Unit.Unit<q.Dimensionless>, right: Unit.Unit<q.Energy>): Unit.Unit<q.DimensionlessPerEnergy>;
export declare function dimensionlessByDuration(name: string, left: Unit.Unit<q.Dimensionless>, right: Unit.Unit<q.Duration>): Unit.Unit<q.DimensionlessPerDuration>;
export declare function powerByArea(name: string, left: Unit.Unit<q.Power>, right: Unit.Unit<q.Area>): Unit.Unit<q.Intensity>;
export declare function volumeByEnergy(name: string, left: Unit.Unit<q.Volume>, right: Unit.Unit<q.Energy>): Unit.Unit<q.WaterUseEfficiency>;
export declare function massByEnergy(name: string, left: Unit.Unit<q.Mass>, right: Unit.Unit<q.Energy>): Unit.Unit<q.Emission>;
export declare function massFlowByArea(name: string, left: Unit.Unit<q.MassFlow>, right: Unit.Unit<q.Area>): Unit.Unit<q.MassFlowPerArea>;
export declare function energyByVolume(name: string, left: Unit.Unit<q.Energy>, right: Unit.Unit<q.Volume>): Unit.Unit<q.HeatingValue>;
export declare function volumeFlowByPower(name: string, left: Unit.Unit<q.VolumeFlow>, right: Unit.Unit<q.Power>): Unit.Unit<q.VolumeFlowPerPower>;
export declare function volumeFlowByArea(name: string, left: Unit.Unit<q.VolumeFlow>, right: Unit.Unit<q.Area>): Unit.Unit<q.VolumeFlowPerArea>;
export declare function dimensionlessByMass(name: string, left: Unit.Unit<q.Dimensionless>, right: Unit.Unit<q.Mass>): Unit.Unit<q.DimensionlessPerMass>;
export declare function powerByDeltaTemperature(name: string, left: Unit.Unit<q.Power>, right: Unit.Unit<q.DeltaTemperature>): Unit.Unit<q.HeatCapacityRate>;
export declare function intensityByDeltaTemperature(name: string, left: Unit.Unit<q.Intensity>, right: Unit.Unit<q.DeltaTemperature>): Unit.Unit<q.ThermalTransmittance>;
export declare function heatCapacityRateByLength(name: string, left: Unit.Unit<q.HeatCapacityRate>, right: Unit.Unit<q.Length>): Unit.Unit<q.ThermalConductivity>;
