"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Unit = require("./unit");
function volumeByDuration(name, left, right) {
    return Unit.divide(name, "VolumeFlow", left, right);
}
exports.volumeByDuration = volumeByDuration;
function volumeFlowBySquareRootPressure(name, left, right) {
    return Unit.divide(name, "VolumeFlowPerSquareRootPressure", left, right);
}
exports.volumeFlowBySquareRootPressure = volumeFlowBySquareRootPressure;
function lengthByDuration(name, left, right) {
    return Unit.divide(name, "Velocity", left, right);
}
exports.lengthByDuration = lengthByDuration;
function velocityBySecond(name, left, right) {
    return Unit.divide(name, "Acceleration", left, right);
}
exports.velocityBySecond = velocityBySecond;
function amountOfSubstanceByDuration(name, left, right) {
    return Unit.divide(name, "CatalyticActivity", left, right);
}
exports.amountOfSubstanceByDuration = amountOfSubstanceByDuration;
function massByVolume(name, left, right) {
    return Unit.divide(name, "Density", left, right);
}
exports.massByVolume = massByVolume;
function electricChargeByElectricPotential(name, left, right) {
    return Unit.divide(name, "ElectricCapacitance", left, right);
}
exports.electricChargeByElectricPotential = electricChargeByElectricPotential;
function energyByDuration(name, left, right) {
    return Unit.divide(name, "Power", left, right);
}
exports.energyByDuration = energyByDuration;
function powerByElectricalCurrent(name, left, right) {
    return Unit.divide(name, "ElectricPotential", left, right);
}
exports.powerByElectricalCurrent = powerByElectricalCurrent;
function electricalCurrentByElectricalPotential(name, left, right) {
    return Unit.divide(name, "ElectricConductance", left, right);
}
exports.electricalCurrentByElectricalPotential = electricalCurrentByElectricalPotential;
function magneticFluxByElectricalCurrent(name, left, right) {
    return Unit.divide(name, "ElectricInductance", left, right);
}
exports.magneticFluxByElectricalCurrent = magneticFluxByElectricalCurrent;
function electricalPotentialByElectricalCurrent(name, left, right) {
    return Unit.divide(name, "ElectricResistance", left, right);
}
exports.electricalPotentialByElectricalCurrent = electricalPotentialByElectricalCurrent;
function dimentionlessByDuration(name, left, right) {
    return Unit.divide(name, "Frequency", left, right);
}
exports.dimentionlessByDuration = dimentionlessByDuration;
function luminousFluxByArea(name, left, right) {
    return Unit.divide(name, "Illuminance", left, right);
}
exports.luminousFluxByArea = luminousFluxByArea;
function magneticFluxByArea(name, left, right) {
    return Unit.divide(name, "MagneticFluxDensity", left, right);
}
exports.magneticFluxByArea = magneticFluxByArea;
function massByDuration(name, left, right) {
    return Unit.divide(name, "MassFlow", left, right);
}
exports.massByDuration = massByDuration;
function forceByArea(name, left, right) {
    return Unit.divide(name, "Pressure", left, right);
}
exports.forceByArea = forceByArea;
function energyByMass(name, left, right) {
    return Unit.divide(name, "SpecificEnthalpy", left, right);
}
exports.energyByMass = energyByMass;
function powerByVolumeFlow(name, left, right) {
    return Unit.divide(name, "SpecificFanPower", left, right);
}
exports.powerByVolumeFlow = powerByVolumeFlow;
function powerByTemperature(name, left, right) {
    return Unit.divide(name, "HeatCapacityRate", left, right);
}
exports.powerByTemperature = powerByTemperature;
function massByMass(name, left, right) {
    return Unit.divide(name, "HumidityRatio", left, right);
}
exports.massByMass = massByMass;
function dimensionlessByVolume(name, left, right) {
    return Unit.divide(name, "DimensionlessPerVolume", left, right);
}
exports.dimensionlessByVolume = dimensionlessByVolume;
function dimensionlessByEnergy(name, left, right) {
    return Unit.divide(name, "DimensionlessPerEnergy", left, right);
}
exports.dimensionlessByEnergy = dimensionlessByEnergy;
function dimensionlessByDuration(name, left, right) {
    return Unit.divide(name, "DimensionlessPerDuration", left, right);
}
exports.dimensionlessByDuration = dimensionlessByDuration;
function powerByArea(name, left, right) {
    return Unit.divide(name, "Intensity", left, right);
}
exports.powerByArea = powerByArea;
function volumeByEnergy(name, left, right) {
    return Unit.divide(name, "WaterUseEfficiency", left, right);
}
exports.volumeByEnergy = volumeByEnergy;
function massByEnergy(name, left, right) {
    return Unit.divide(name, "Emission", left, right);
}
exports.massByEnergy = massByEnergy;
function massFlowByArea(name, left, right) {
    return Unit.divide(name, "MassFlowPerArea", left, right);
}
exports.massFlowByArea = massFlowByArea;
function energyByVolume(name, left, right) {
    return Unit.divide(name, "HeatingValue", left, right);
}
exports.energyByVolume = energyByVolume;
function volumeFlowByPower(name, left, right) {
    return Unit.divide(name, "VolumeFlowPerPower", left, right);
}
exports.volumeFlowByPower = volumeFlowByPower;
function volumeFlowByArea(name, left, right) {
    return Unit.divide(name, "VolumeFlowPerArea", left, right);
}
exports.volumeFlowByArea = volumeFlowByArea;
function dimensionlessByMass(name, left, right) {
    return Unit.divide(name, "DimensionlessPerMass", left, right);
}
exports.dimensionlessByMass = dimensionlessByMass;
function powerByDeltaTemperature(name, left, right) {
    return Unit.divide(name, "HeatCapacityRate", left, right);
}
exports.powerByDeltaTemperature = powerByDeltaTemperature;
function intensityByDeltaTemperature(name, left, right) {
    return Unit.divide(name, "ThermalTransmittance", left, right);
}
exports.intensityByDeltaTemperature = intensityByDeltaTemperature;
function heatCapacityRateByLength(name, left, right) {
    return Unit.divide(name, "ThermalConductivity", left, right);
}
exports.heatCapacityRateByLength = heatCapacityRateByLength;
//# sourceMappingURL=unit-divide.js.map