import * as Unit from "./unit";
import * as q from "./quantity";
import { Quantity } from "./quantity";
export declare function Giga<T extends Quantity>(name: string, u: Unit.Unit<T>): Unit.Unit<T>;
export declare function Mega<T extends Quantity>(name: string, u: Unit.Unit<T>): Unit.Unit<T>;
/**
 * Returns the specified unit multiplied by the factor <code>10<sup>3</sup></code>
 * @param unit Any unit.
 * @returns <code>unit.multiply(1e3)</code> .
 */
export declare function Kilo<T extends Quantity>(name: string, unit: Unit.Unit<T>): Unit.Unit<T>;
/**
 * Returns the specified unit multiplied by the factor <code>10<sup>2</sup></code>.
 * @param unit any unit.
 * @returns <code>unit.multiply(1e2)</code> .
 */
export declare function Hecto<T extends Quantity>(name: string, unit: Unit.Unit<T>): Unit.Unit<T>;
/**
 * Returns the specified unit multiplied by the factor <code>10<sup>-1</sup></code>.
 * @param unit any unit.
 * @return <code>unit.multiply(1e-1)</code>.
 */
export declare function Deci<T extends Quantity>(name: string, unit: Unit.Unit<T>): Unit.Unit<T>;
/**
 * Returns the specified unit multiplied by the factor <code>10<sup>-2</sup></code>.
 * @param unit any unit.
 * @returns <code>unit.multiply(1e-2)</code> .
 */
export declare function Centi<T extends Quantity>(name: string, unit: Unit.Unit<T>): Unit.Unit<T>;
/**
 * Returns the specified unit multiplied by the factor <code>10<sup>-3</sup></code>.
 * @param unit any unit. @return <code>unit.multiply(1e-3)</code> .
 */
export declare function Milli<T extends Quantity>(name: string, unit: Unit.Unit<T>): Unit.Unit<T>;
export declare function Squared(name: string, u: Unit.Unit<q.Length>): Unit.Unit<q.Area>;
export declare function Cubed(name: string, u: Unit.Unit<q.Length>): Unit.Unit<q.Volume>;
