"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UnitTimes = require("../unit-times");
var base_units_1 = require("./base-units");
// tslint:disable:variable-name
/**
 * The derived unit for electric charge, quantity of electricity ( <code>C</code> ).
 * One Coulomb is equal to the quantity of charge transferred in one second by a steady current of one ampere.
 * It is named after the French physicist Charles Augustin de Coulomb (1736-1806).
 */
exports.Coulomb = UnitTimes.durationByElectricCurrent("Coulomb", base_units_1.Second, base_units_1.Ampere);
//# sourceMappingURL=electric-charge.js.map