"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UnitDivide = require("../unit-divide");
var base_units_1 = require("./base-units");
var electric_potential_1 = require("./electric-potential");
// tslint:disable:variable-name
/**
 * The derived unit for electric conductance ( <code>S</code> ).
 * One Siemens is equal to one ampere per volt.
 * It is named after the German engineer Ernst Werner von Siemens (1816-1892).
 */
exports.Siemens = UnitDivide.electricalCurrentByElectricalPotential("Siemens", base_units_1.Ampere, electric_potential_1.Volt);
//# sourceMappingURL=electric-conductance.js.map