"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UnitDivide = require("../unit-divide");
var base_units_1 = require("./base-units");
var electric_potential_1 = require("./electric-potential");
var unit_prefix_1 = require("../unit-prefix");
// tslint:disable:variable-name
/**
 * The derived unit for electric resistance ( <code>Ω</code> or <code>Ohm</code> ).
 * One Ohm is equal to the resistance of a conductor in which a current of one ampere is produced
 * by a potential of one volt across its terminals.
 * It is named after the German physicist Georg Simon Ohm (1789-1854).
 */
exports.Ohm = UnitDivide.electricalPotentialByElectricalCurrent("Ohm", electric_potential_1.Volt, base_units_1.Ampere);
// Electric resistance
exports.KiloOhm = unit_prefix_1.Kilo("KiloOhm", exports.Ohm);
//# sourceMappingURL=electric-resistance.js.map