import * as Unit from "../unit";
export declare type Energy = "Energy";
/**
 * The derived unit for energy, work, quantity of heat ( <code>J</code> ).
 * One joule is the amount of work done when an applied force of 1 newton moves
 * through a distance of 1 metre in the direction of the force.
 * It is named after the English physicist James Prescott Joule (1818-1889).
 */
export declare const Joule: Unit.Unit<"Energy">;
export declare const NewtonMeter: Unit.Unit<"Energy">;
export declare const Kilojoule: Unit.Unit<"Energy">;
export declare const Megajoule: Unit.Unit<"Energy">;
export declare const Btu: Unit.Unit<"Energy">;
export declare const KiloBtu: Unit.Unit<"Energy">;
export declare const MegaBtu: Unit.Unit<"Energy">;
export declare const Therm: Unit.Unit<"Energy">;
