"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UnitTimes = require("../unit-times");
var Unit = require("../unit");
var base_units_1 = require("./base-units");
var acceleration_1 = require("./acceleration");
// tslint:disable:variable-name
/**
 * The derived unit for force ( <code>N</code> ).
 * One newton is the force required to give a mass of 1 kilogram an Force of 1 metre per second per second.
 * It is named after the English mathematician and physicist Sir Isaac Newton (1642-1727).
 */
exports.Newton = UnitTimes.massByAcceleration("Newton", base_units_1.Kilogram, acceleration_1.MeterPerSquareSecond);
// Force
exports.PoundForce = Unit.divideNumber("PoundForce", 8896443230521.0, Unit.timesNumber("", 2000000000000.0, exports.Newton));
//# sourceMappingURL=force.js.map