"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var unit_prefix_1 = require("../unit-prefix");
var Unit = require("../unit");
var base_units_1 = require("./base-units");
// tslint:disable:variable-name
/** Equivalent to <code>KILO(METER)</code>. */
exports.Kilometer = unit_prefix_1.Kilo("Kilometer", base_units_1.Meter);
/** Equivalent to <code>CENTI(METRE)</code>. */
exports.CentiMeter = unit_prefix_1.Centi("CentiMeter", base_units_1.Meter);
/** Equivalent to <code>MILLI(METRE)</code>. */
exports.Millimeter = unit_prefix_1.Milli("Millimeter", base_units_1.Meter);
// Length
exports.Foot = Unit.timesNumber("Foot", 0.3048, base_units_1.Meter);
exports.Yard = Unit.timesNumber("Yard", 3.0, exports.Foot);
exports.Inch = Unit.divideNumber("Inch", 12.0, exports.Foot);
exports.Mile = Unit.timesNumber("Mile", 5280.0, exports.Foot);
exports.Decimeter = unit_prefix_1.Deci("Decimeter", base_units_1.Meter);
//# sourceMappingURL=length.js.map