"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UnitTimes = require("../unit-times");
var base_units_1 = require("./base-units");
var solid_angle_1 = require("./solid-angle");
// tslint:disable:variable-name
/**
 * The derived unit for luminous flux ( <code>lm</code> ).
 * One Lumen is equal to the amount of light given out through a solid angle by a source of one
 * candela intensity radiating equally in all directions.
 */
exports.Lumen = UnitTimes.luminousIntensityBySolidAngle("Lumen", base_units_1.Candela, solid_angle_1.Steradian);
//# sourceMappingURL=luminous-flux.js.map