"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UnitDivide = require("../unit-divide");
var Unit = require("../unit");
var base_units_1 = require("./base-units");
var mass_1 = require("./mass");
var duration_1 = require("./duration");
// tslint:disable:variable-name
// MassFlow
exports.KilogramPerSecond = UnitDivide.massByDuration("KilogramPerSecond", base_units_1.Kilogram, base_units_1.Second);
exports.GramPerSecond = UnitDivide.massByDuration("GramPerSecond", mass_1.Gram, base_units_1.Second);
exports.GramPerHour = UnitDivide.massByDuration("GramPerHour", mass_1.Gram, duration_1.Hour);
exports.KilogramPerHour = UnitDivide.massByDuration("KilogramPerHour", base_units_1.Kilogram, duration_1.Hour);
exports.SlugPerSecond = UnitDivide.massByDuration("SlugPerSecond", mass_1.Slug, base_units_1.Second);
exports.SlugPerHour = UnitDivide.massByDuration("SlugPerHour", mass_1.Slug, duration_1.Hour);
exports.PoundLbPerHour = UnitDivide.massByDuration("PoundLbPerHour", mass_1.PoundLb, duration_1.Hour);
exports.PoundLbPerSecond = UnitDivide.massByDuration("PoundLbPerSecond", mass_1.PoundLb, base_units_1.Second);
exports.GrainPerHour = UnitDivide.massByDuration("GrainPerHour", mass_1.Grain, duration_1.Hour);
exports.GrainPerSecond = UnitDivide.massByDuration("GrainPerSecond", mass_1.Grain, base_units_1.Second);
exports.StandardCubicMeterPerHour = Unit.timesNumber("StandardCubicMeterPerHour", 1.2041, exports.KilogramPerHour);
exports.StandardCubicFeetPerMinute = Unit.timesNumber("StandardCubicFeetPerMinute", 0.02831684660923049289319782819867, Unit.timesNumber("", 60.0, exports.StandardCubicMeterPerHour));
exports.StandardCubicMeterPerSecond = Unit.timesNumber("StandardCubicMeterPerSecond", 3600.0, exports.StandardCubicMeterPerHour);
exports.StandardLiterPerSecond = Unit.timesNumber("StandardLiterPerSecond", 3600 / 1000, exports.StandardCubicMeterPerHour);
//# sourceMappingURL=mass-flow.js.map