"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Unit = require("../unit");
var base_units_1 = require("./base-units");
var unit_prefix_1 = require("../unit-prefix");
// tslint:disable:variable-name
/** The derived unit for mass quantities ( <code>g</code> ).
 * The base unit for mass quantity is {@link #Kilogram}.
 */
exports.Gram = Unit.divideNumber("Gram", 1000.0, base_units_1.Kilogram);
/// Mass
exports.PoundLb = Unit.divideNumber("PoundLb", 100000000.0 / 45359237.0, base_units_1.Kilogram);
// http://www.wolframalpha.com/input/?i=kg
exports.Grain = Unit.divideNumber("Grain", 100000000000.0 / 6479891.0, base_units_1.Kilogram);
// http://www.wolframalpha.com/input/?i=grain
exports.Slug = Unit.timesNumber("Slug", 14.5939, base_units_1.Kilogram);
exports.Tonne = Unit.timesNumber("Tonne", 1000.0, base_units_1.Kilogram);
exports.MilliGram = unit_prefix_1.Milli("MilliGram", exports.Gram);
//# sourceMappingURL=mass.js.map