import * as Unit from "../unit";
export declare type SpecificEnthalpy = "SpecificEnthalpy";
/**
 * The derived unit for absorbed dose, specific energy (imparted), kerma ( <code>Gy</code> ).
 * One gray is equal to the dose of one joule of energy absorbed per one kilogram of matter.
 * It is named after the British physician L. H. Gray (1905-1965).
 */
export declare const Gray: Unit.Unit<"SpecificEnthalpy">;
/**
 * The derived unit for dose equivalent ( <code>Sv</code> ).
 * One Sievert is equal is equal to the actual dose, in grays, multiplied by a "quality factor" which is
 * larger for more dangerous forms of radiation.
 * It is named after the Swedish physicist Rolf Sievert (1898-1966).
 */
export declare const Sievert: Unit.Unit<"SpecificEnthalpy">;
export declare const KilojoulePerKilogram: Unit.Unit<"SpecificEnthalpy">;
export declare const KiloWattHourPerKilogram: Unit.Unit<"SpecificEnthalpy">;
export declare const BtuPerPoundLb: Unit.Unit<"SpecificEnthalpy">;
