"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UnitTimes = require("../unit-times");
var base_units_1 = require("./base-units");
var temperature_1 = require("./temperature");
var specific_enthalpy_1 = require("./specific-enthalpy");
// tslint:disable:variable-name
// Specific heat capacity of air at constant pressure (kJ/kg°C, kWs/kgK, Btu/lb°F)
// Heat capacity is the measurable physical quantity that characterizes the amount of heat required to change a body's temperature by a given amount.
// Check if this really is correct
exports.KilojoulePerKilogramKelvin = UnitTimes.specificEnthalpyByTemperature("KilojoulePerKilogramKelvin", specific_enthalpy_1.KilojoulePerKilogram, base_units_1.Kelvin);
exports.KilojoulePerKilogramCelsius = UnitTimes.specificEnthalpyByTemperature("KilojoulePerKilogramCelsius", specific_enthalpy_1.KilojoulePerKilogram, temperature_1.Celsius);
//# sourceMappingURL=specific-heat-capacity.js.map