"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Unit = require("../unit");
var base_units_1 = require("./base-units");
// tslint:disable:variable-name
/**
 * The derived unit for Celsius temperature ( <code>℃</code> ).
 * This is a unit of temperature such as the freezing point of water (at one atmosphere of pressure)
 * is 0 ℃, while the boiling point is 100 ℃.
 */
exports.Celsius = Unit.plus("Celsius", 273.15, base_units_1.Kelvin);
exports.Rankine = Unit.divideNumber("Rankine", 9.0, Unit.timesNumber("", 5.0, base_units_1.Kelvin));
exports.Fahrenheit = Unit.plus("Fahrenheit", 459.67, Unit.divideNumber("", 9.0, Unit.timesNumber("", 5.0, base_units_1.Kelvin)));
//# sourceMappingURL=temperature.js.map