"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UnitDivide = require("../unit-divide");
var power_1 = require("./power");
var base_units_1 = require("./base-units");
var delta_temperature_1 = require("./delta-temperature");
var length_1 = require("./length");
// tslint:disable:variable-name
// Thermal conductivity
exports.WattPerMeterPerKelvin = UnitDivide.heatCapacityRateByLength("WattPerMeterPerKelvin", UnitDivide.powerByDeltaTemperature("", power_1.Watt, delta_temperature_1.DeltaCelsius), base_units_1.Meter);
exports.BtuPerHourPerFeetPerFahrenheit = UnitDivide.heatCapacityRateByLength("BtuPerHourPerFeetPerFahrenheit", UnitDivide.powerByDeltaTemperature("", power_1.BtuPerHour, delta_temperature_1.DeltaCelsius), length_1.Foot);
//# sourceMappingURL=thermal-conductivity.js.map