"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UnitDivide = require("../unit-divide");
var base_units_1 = require("./base-units");
var length_1 = require("./length");
var duration_1 = require("./duration");
// tslint:disable:variable-name
/** The metric unit for velocity quantities ( <code>m/s</code> ). */
exports.MeterPerSecond = UnitDivide.lengthByDuration("MeterPerSecond", base_units_1.Meter, base_units_1.Second);
// Velocity
exports.FeetPerSecond = UnitDivide.lengthByDuration("FeetPerSecond", length_1.Foot, base_units_1.Second);
exports.FeetPerMinute = UnitDivide.lengthByDuration("FeetPerMinute", length_1.Foot, duration_1.Minute);
exports.MilesPerHour = UnitDivide.lengthByDuration("MilesPerHour", length_1.Mile, duration_1.Hour);
exports.KilometerPerHour = UnitDivide.lengthByDuration("KilometerPerHour", length_1.Kilometer, duration_1.Hour);
exports.MeterPerHour = UnitDivide.lengthByDuration("MeterPerHour", base_units_1.Meter, duration_1.Hour);
//# sourceMappingURL=velocity.js.map