"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Unit = require("../unit");
var unit_prefix_1 = require("../unit-prefix");
var base_units_1 = require("./base-units");
var length_1 = require("./length");
// tslint:disable:variable-name
/** The metric unit for volume quantities ( <code>m³</code> ). */
exports.CubicMeter = unit_prefix_1.Cubed("CubicMeter", base_units_1.Meter);
// Volume
exports.CubicCentiMeter = unit_prefix_1.Cubed("CubicCentiMeter", length_1.CentiMeter);
exports.CubicInch = unit_prefix_1.Cubed("CubicInch", length_1.Inch);
exports.CubicFeet = unit_prefix_1.Cubed("CubicFeet", length_1.Foot);
exports.HundredCubicFeet = Unit.timesNumber("HundredCubicFeet", 100.0, exports.CubicFeet);
exports.Liter = Unit.divideNumber("Liter", 1000.0, exports.CubicMeter);
exports.MilliLiter = unit_prefix_1.Milli("MilliLiter", exports.Liter);
exports.Gallon = Unit.timesNumber("Gallon", 3.785, exports.Liter);
//# sourceMappingURL=volume.js.map