import * as Unit from "./unit";
import { Quantity } from "./quantity";
import * as Amount from "./amount";
/**
 * Converts a units serialized representation to it's deserialized representation
 * @param unitString
 */
export declare function stringToUnit<T extends Quantity>(unitString: string): Unit.Unit<T> | undefined;
/**
 * Converts a unit to it's serialized representation
 * @param unit
 */
export declare function unitToString(unit: Unit.Unit): string;
/**
 * Convert an amount to it's serialized representation
 * @param amount
 */
export declare function amountToString(amount: Amount.Amount<Quantity>): string;
/**
 * Convert a serialized amount to it's deserialized representation
 * @param amountString
 */
export declare function stringToAmount(amountString: string): Amount.Amount<Quantity> | undefined;
