import { Kilo, Centi, Milli, Deci } from "../unit-prefix";
import * as Unit from "../unit";
import { Meter } from "./base-units";
// tslint:disable:variable-name
/** Equivalent to <code>KILO(METER)</code>. */
export var Kilometer = Kilo("Kilometer", Meter);
/** Equivalent to <code>CENTI(METRE)</code>. */
export var CentiMeter = Centi("CentiMeter", Meter);
/** Equivalent to <code>MILLI(METRE)</code>. */
export var Millimeter = Milli("Millimeter", Meter);
// Length
export var Foot = Unit.timesNumber("Foot", 0.3048, Meter);
export var Yard = Unit.timesNumber("Yard", 3.0, Foot);
export var Inch = Unit.divideNumber("Inch", 12.0, Foot);
export var Mile = Unit.timesNumber("Mile", 5280.0, Foot);
export var Decimeter = Deci("Decimeter", Meter);
//# sourceMappingURL=length.js.map